<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Mi cafecito</title>
    </h:head>
    <h:body>

        <h:form >
            <p:tabMenu >
                <p:menuitem  >
                    <f:param name="i" value="1" />
                    <h:link value = "Inicio" outcome = "/index" ></h:link>
                </p:menuitem>
            </p:tabMenu>
        </h:form>

        <h:form id="bitaas"> 
            <p:growl id="estadoG" />

            <p:panelGrid columns="2">
                <p:column colspan="1"><p:outputLabel value="Tipo de Bitacora"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaTipo}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Nombre de Usuario"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaUsuario}">
                    </p:inputText> 
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Fecha"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:calendar value="#{bitacoraBean.bita.bitaFecha}">
                    </p:calendar>
                </p:column> 

                <p:column colspan="1"><p:outputLabel value="Nombre de Nombre Tabla"/></p:column>
                <p:column colspan="1"> 
                    <!--Nombre controladr.objeto de la entidad.campo-->
                    <p:inputText value="#{bitacoraBean.bita.bitaTabla}">
                    </p:inputText>
                </p:column> 

                <p:column colspan="4"   >
                    <p:commandButton id="button" style="margin-left:378px; width: 150px;"                                                                                                 
                                     update="@form"
                                     actionListener="#{bitacoraBean.guardarBitacura()}"
                                     value="Aceptar"/>
                </p:column>
            </p:panelGrid>
            <!--SEGUNDA PARTE-->
            <p:dataTable var="bitacora"
                         id="table_bitacora"
                         sortOrder="descending"
                         value="#{bitacoraBean.bitacoraslist()}"
                         rows="10" paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No se encuentran datos">

                <p:column filterBy="#{bitacora.bitaTipo}" headerText="Tipo de Bitacora" 
                          filterMatchMode="contains"   class="col-md-3 col-lg-3" sortBy="#{bitacora.bitaTipo}" >
                    <h:outputText value="#{bitacora.bitaTipo}"></h:outputText>                                                    
                </p:column>

                <p:column filterBy="#{bitacora.bitaUsuario}" headerText="Usuario" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaUsuario}">
                    <h:outputText value="#{bitacora.bitaUsuario}"></h:outputText>

                </p:column>
                
                <p:column filterBy="#{bitacora.bitaFecha}" headerText="Fecha de creacion" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaFecha}">
                    <h:outputText value="#{bitacora.bitaFecha}"></h:outputText>
                </p:column>
                
                <p:column headerText="Tabla" 
                          filterMatchMode="contains" class="col-md-6" sortBy="#{bitacora.bitaTabla}">
                    <h:outputText value="#{bitacora.bitaTabla}"></h:outputText>
                </p:column>

                <p:column headerText="Acciones" >
                    <p:commandButton icon="fa fa-pencil" id="editar"
                                     actionListener="#{bitacoraBean.verBitacora(bitacora)}"
                                     update=":form_editar_bitacora  " 
                                     oncomplete="PF('dlg_editar_bitacora').show();"/>
                    <p:tooltip for="editar" value="Editar" />
                    <p:commandButton icon="fa fa-trash" id="eliminar"
                                     style="color: red !important;"
                                     onclick="PF('dgEliminar').show();">
                        <f:setPropertyActionListener value="#{bitacora}"
                                                     target="#{bitacoraBean.bita}" />
                    </p:commandButton>
                    <p:tooltip for="eliminar" value="Eliminar"  />
                </p:column>
            </p:dataTable>
            <p:confirmDialog closable="false"
                             message="Desea eliminar el registro?" widgetVar="dgEliminar"
                             showEffect="fade" hideEffect="fade">
                <p:commandButton value="si"
                                 actionListener="#{bitacoraBean.eliminarBitacora()}"
                                 update=":bitaas:table_bitacora" icon="ui-icon-check"
                                 oncomplete="PF('dgEliminar').hide();" />
                <p:commandButton value="No" icon="ui-icon-close"
                                 oncomplete="PF('dgEliminar').hide();"
                                 actionListener="#{bitacoraBean.limpiarDialogo()}" />
            </p:confirmDialog>
        </h:form>
        <!--EDITAR-->
        <p:dialog id="dlg_editar_bitacora"  width="700" height="200" header="Editar bitacora" widgetVar="dlg_editar_bitacora" modal="true" 
                  position="center center" onShow="PF('dlg_editar_bitacora').initPosition()">
            <h:form id="form_editar_bitacora">

                <p:growl id="editarBitacora" />

                <p:panelGrid id="pgbitacora" columns="2">
                    <p:column colspan="1">
                        <p:outputLabel value="Tipo Bitacora" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaTipo}"/>                        
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Usuario" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaUsuario}" />    
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Fecha" />
                    </p:column>
                    <p:column colspan="1">
                        <p:calendar value="#{bitacoraBean.bita.bitaFecha}">
                        </p:calendar>
                    </p:column>
                    <p:column colspan="1">
                        <p:outputLabel value="Tabla" />
                    </p:column>
                    <p:column colspan="1">
                        <p:inputText value="#{bitacoraBean.bita.bitaTabla}" />    
                    </p:column>
                    <p:column colspan="4">
                        <p:commandButton
                            actionListener="#{bitacoraBean.guardarBitacura()}"
                            update="@form"
                            value="Guardar" />
                        </p:column>
                </p:panelGrid>
            </h:form>
        </p:dialog>

    </h:body>


</html>
